This document lists the events and parameters for
Licenses Settings
Admin Audit activity events. You can retrieve these events by
calling [Activities.list()](https://developers.google.com/workspace/admin/reports/v1/reference/activities/list)
with `applicationName=admin`.

## Licenses Settings


Events of this type are returned with `type=LICENSES_SETTINGS`.

### App License Policy Setting Changed

Licenses enabled or not for a specified group/org unit event name.
Event details Event name `CHROME_APP_LICENSES_ENABLED` Parameters `APPLICATION_NAME` `string`


The application's name.
`CHROME_LICENSES_ENABLED` `string`


Licenses enabled.
Possible values:

- `DISABLED`  
  Not allowed to perform action.
- `ENABLED`  
  Allowed to perform action.
- `INHERITED`  
  Value is inherited.
`DISTRIBUTION_ENTITY_NAME` `string`


The distribution entity value, which can be a group name or an org-unit name.
Possible values:

- `ANY`  
  A label that targets any distribution.
`DISTRIBUTION_ENTITY_TYPE` `string`


The distribution entity type, which can be a group or an org-unit.
Possible values:

- `GROUP`  
  A distribution entity label for a Google group.
- `ORG_UNIT`  
  A distribution entity label for an organizational unit.
- `USER`  
  A distribution entity label for a user.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/admin?eventName=CHROME_APP_LICENSES_ENABLED&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `App license policy for {APPLICATION_NAME} at {DISTRIBUTION_ENTITY_NAME} {DISTRIBUTION_ENTITY_TYPE} is now {CHROME_LICENSES_ENABLED}`

### Assign Licenses to All Unassigned Users

Event details Event name `ORG_USERS_LICENSE_ASSIGNMENT` Parameters `NEW_VALUE` `string`


The new license SKU.
`ORG_UNIT_NAME` `string`


All previously unassigned users in this organizational unit have been assigned this new license.
`PRODUCT_NAME` `string`


The new license for this product name.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/admin?eventName=ORG_USERS_LICENSE_ASSIGNMENT&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `Licenses for {PRODUCT_NAME} product and {NEW_VALUE} sku were assigned to all unassigned users of {ORG_UNIT_NAME}`

### Assign Licenses to All Users

Event details Event name `ORG_ALL_USERS_LICENSE_ASSIGNMENT` Parameters `NEW_VALUE` `string`


The new license SKU.
`ORG_UNIT_NAME` `string`


All previously unassigned users in this organizational unit have been assigned this new license.
`PRODUCT_NAME` `string`


The new license for this product name.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/admin?eventName=ORG_ALL_USERS_LICENSE_ASSIGNMENT&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `Licenses for {PRODUCT_NAME} product and {NEW_VALUE} sku were assigned to all users of {ORG_UNIT_NAME}`

### Assign Suppressed License

Event details Event name `SUPPRESSED_LICENSE_ASSIGNMENT` Parameters `NEW_VALUE` `string`


The new `SETTING_NAME` value that was set during this event.
`PRODUCT_NAME` `string`


Product Name.
`USER_EMAIL` `string`


The user's primary email address.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/admin?eventName=SUPPRESSED_LICENSE_ASSIGNMENT&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `A suppressed license for {PRODUCT_NAME} product and {NEW_VALUE} sku was assigned to the user {USER_EMAIL}`

### Assign Temporary License

Event details Event name `TEMPORARY_LICENSE_ASSIGNMENT` Parameters `NEW_VALUE` `string`


The new `SETTING_NAME` value that was set during this event.
`PRODUCT_NAME` `string`


Product Name.
`USER_EMAIL` `string`


The user's primary email address.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/admin?eventName=TEMPORARY_LICENSE_ASSIGNMENT&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `A temporary license for {PRODUCT_NAME} product and {NEW_VALUE} sku was assigned to the user {USER_EMAIL}`

### Assign User License

Event details Event name `USER_LICENSE_ASSIGNMENT` Parameters `NEW_VALUE` `string`


The new license SKU.
`PRODUCT_NAME` `string`


Product Name.
`USER_EMAIL` `string`


The primary email address of the user assigned this license.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/admin?eventName=USER_LICENSE_ASSIGNMENT&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `A license for {PRODUCT_NAME} product and {NEW_VALUE} sku was assigned to the user {USER_EMAIL}`

### Auto Assign Licenses

Event details Event name `CHANGE_LICENSE_AUTO_ASSIGN` Parameters `NEW_VALUE` `string`


The new Auto Assign option value.
`PRODUCT_NAME` `string`


The product name.
`SKU_NAME` `string`


The product SKU.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/admin?eventName=CHANGE_LICENSE_AUTO_ASSIGN&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `License Auto Assign option changed to {NEW_VALUE} for {PRODUCT_NAME} product and {SKU_NAME} sku`

### Convert user's Suppressed License to Active

Event details Event name `SUPPRESSED_TO_ASSIGNED_LICENSE_CONVERSION` Parameters `NEW_VALUE` `string`


The new `SETTING_NAME` value that was set during this event.
`PRODUCT_NAME` `string`


Product Name.
`USER_EMAIL` `string`


The user's primary email address.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/admin?eventName=SUPPRESSED_TO_ASSIGNED_LICENSE_CONVERSION&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `Suppressed license of the user {USER_EMAIL} for {PRODUCT_NAME} product and {NEW_VALUE} sku was converted to Active`

### Convert user's Temporary License to Active

Event details Event name `TEMPORARY_TO_ASSIGNED_LICENSE_CONVERSION` Parameters `NEW_VALUE` `string`


The new `SETTING_NAME` value that was set during this event.
`PRODUCT_NAME` `string`


Product Name.
`USER_EMAIL` `string`


The user's primary email address.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/admin?eventName=TEMPORARY_TO_ASSIGNED_LICENSE_CONVERSION&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `Temporary license of the user {USER_EMAIL} for {PRODUCT_NAME} product and {NEW_VALUE} sku was converted to Active`

### Convert user's Temporary License to Suppressed

Event details Event name `TEMPORARY_TO_SUPPRESSED_LICENSE_CONVERSION` Parameters `NEW_VALUE` `string`


The new `SETTING_NAME` value that was set during this event.
`PRODUCT_NAME` `string`


Product Name.
`USER_EMAIL` `string`


The user's primary email address.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/admin?eventName=TEMPORARY_TO_SUPPRESSED_LICENSE_CONVERSION&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `Temporary license of the user {USER_EMAIL} for {PRODUCT_NAME} product and {NEW_VALUE} sku was expired and converted to Suppressed`

### First Temporary or Suppressed License Email Sent

Audit log event generated when first temporary or suppressed license email notification is sent to the customer.
Event details Event name `FIRST_TEMPORARY_OR_SUPPRESSED_LICENSE_NOTIFICATION` Parameters `SKU_NAME` `string`


The SKU name.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/admin?eventName=FIRST_TEMPORARY_OR_SUPPRESSED_LICENSE_NOTIFICATION&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `An email is sent for the creation of first temporary or suppressed license for {SKU_NAME} sku`

### First Temporary or Suppressed License Email Sent for a User

Audit log event generated when first temporary or suppressed license email notification is sent to the reseller.
Event details Event name `RESELLER_FIRST_TEMPORARY_OR_SUPPRESSED_LICENSE_NOTIFICATION` Parameters `DOMAIN_NAME` `string`


The primary domain name.
`SKU_NAME` `string`


The SKU name.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/admin?eventName=RESELLER_FIRST_TEMPORARY_OR_SUPPRESSED_LICENSE_NOTIFICATION&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `An email is sent as the user {DOMAIN_NAME} has been assigned temporary or suppressed license for {SKU_NAME} sku`

### Reassign User License

Event details Event name `USER_LICENSE_REASSIGNMENT` Parameters `NEW_VALUE` `string`


The new license SKU.
`OLD_VALUE` `string`


The previous license SKU.
`PRODUCT_NAME` `string`


The license for this product name.
`USER_EMAIL` `string`


The primary email address of the user reassigned the license with a new SKU.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/admin?eventName=USER_LICENSE_REASSIGNMENT&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `A license for {PRODUCT_NAME} product and {OLD_VALUE} sku was reassigned for user {USER_EMAIL} to new sku {NEW_VALUE}`

### Revoke Licenses to All Users

Event details Event name `ORG_LICENSE_REVOKE` Parameters `OLD_VALUE` `string`


The revoked license's SKU.
`ORG_UNIT_NAME` `string`


The removed licensed for all users in this organizational unit.
`PRODUCT_NAME` `string`


The revoked license for this product name.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/admin?eventName=ORG_LICENSE_REVOKE&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `Licenses for {PRODUCT_NAME} product and {OLD_VALUE} sku were removed from assigned users of {ORG_UNIT_NAME}`

### Revoke Suppressed License

Event details Event name `SUPPRESSED_LICENSE_REVOKE` Parameters `OLD_VALUE` `string`


The previous `SETTING_NAME` value that was replaced during this event.
`PRODUCT_NAME` `string`


Product Name.
`USER_EMAIL` `string`


The user's primary email address.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/admin?eventName=SUPPRESSED_LICENSE_REVOKE&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `A suppressed license for {PRODUCT_NAME} product and {OLD_VALUE} sku was revoked from the user {USER_EMAIL}`

### Revoke Temporary License

Event details Event name `TEMPORARY_LICENSE_REVOKE` Parameters `OLD_VALUE` `string`


The previous `SETTING_NAME` value that was replaced during this event.
`PRODUCT_NAME` `string`


Product Name.
`USER_EMAIL` `string`


The user's primary email address.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/admin?eventName=TEMPORARY_LICENSE_REVOKE&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `A temporary license for {PRODUCT_NAME} product and {OLD_VALUE} sku was revoked from the user {USER_EMAIL}`

### Revoke User License

Event details Event name `USER_LICENSE_REVOKE` Parameters `OLD_VALUE` `string`


The revoked license's SKU.
`PRODUCT_NAME` `string`


The revoked license for this product name.
`USER_EMAIL` `string`


The primary email address of the user whose license has been revoked.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/admin?eventName=USER_LICENSE_REVOKE&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `A license for {PRODUCT_NAME} product and {OLD_VALUE} sku was revoked from user {USER_EMAIL}`

### Temporary Licenses Expiration Email Notification Sent

Audit log event generated when temporary licenses expired email notification is sent to the customer.
Event details Event name `TEMPORARY_LICENSES_EXPIRED_NOTIFICATION` Parameters `SKU_NAME` `string`


The SKU name.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/admin?eventName=TEMPORARY_LICENSES_EXPIRED_NOTIFICATION&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `An email is sent for the expiration of temporary licenses for {SKU_NAME} sku`

### Temporary Licenses Expiration Email Notification Sent for a User

Audit log event generated when temporary licenses expired email notification is sent to the reseller.
Event details Event name `RESELLER_TEMPORARY_LICENSES_EXPIRED_NOTIFICATION` Parameters `DOMAIN_NAME` `string`


The primary domain name.
`SKU_NAME` `string`


The SKU name.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/admin?eventName=RESELLER_TEMPORARY_LICENSES_EXPIRED_NOTIFICATION&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `An email is sent as the temporary licenses for {SKU_NAME} sku are expired for user {DOMAIN_NAME}`

### Update Auto Licensing

Event details Event name `UPDATE_DYNAMIC_LICENSE` Parameters `NEW_VALUE` `string`


The new `SETTING_NAME` value that was set during this event.
`OLD_VALUE` `string`


The previous `SETTING_NAME` value that was replaced during this event.
`ORG_UNIT_NAME` `string`


The organizational unit (OU) name (path).
`PRODUCT_NAME` `string`


Product Name.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/admin?eventName=UPDATE_DYNAMIC_LICENSE&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `Auto Licensing settings for {PRODUCT_NAME} product in {ORG_UNIT_NAME} organization changed from {OLD_VALUE} to {NEW_VALUE}`

### User license is assigned

Short description to indicate user license is assigned.
Event details Event name `CHROME_APP_USER_LICENSE_ASSIGNED` Parameters `APP_LICENSE` `string`


Parameter for Chrome App License.
`USER_EMAIL` `string`


The user's primary email address.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/admin?eventName=CHROME_APP_USER_LICENSE_ASSIGNED&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `License {APP_LICENSE} is assigned to {USER_EMAIL}`

### User license is revoked

Short description to indicate user license is revoked.
Event details Event name `CHROME_APP_USER_LICENSE_REVOKED` Parameters `APP_LICENSE` `string`


Parameter for Chrome App License.
`USER_EMAIL` `string`


The user's primary email address.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/admin?eventName=CHROME_APP_USER_LICENSE_REVOKED&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `License {APP_LICENSE} is revoked for {USER_EMAIL}`